name: camera
plugins:
- name: panda-camera
  pluginSpec:
    image: registry.gitlab.com/lbl-anp/panda/dawn_pipeline/plugin-camera:v2.0.0
    resource:
      request.cpu: 1000m
      limit.cpu: 2000m
      request.memory: 100Mi
      limit.memory: 1Gi
    selector:
      zone: core
    env:
      IP: 10.31.81.14
      CALIB_FILE: cam_panda_calib.dat
      PROFILE: 6
      RATE: 0.5
      RECTIFY: False
      CAM_MODE: camera_readout
nodes:
  W072:
scienceRules:
- 'schedule(panda-camera): True'
successcriteria:
- WallClock(1d)
